# Class DatabricksDriverPropertyUtil

java.lang.Object
com.databricks.jdbc.common.util.DatabricksDriverPropertyUtil

public class DatabricksDriverPropertyUtil extends Object
Utility class for Databricks driver properties.

## Constructor Summary

Constructors
Constructor
Description
`DatabricksDriverPropertyUtil()`

## Method Summary

Modifier and Type
Method
Description
`static List<DriverPropertyInfo>`
`buildMissingPropertiesList(DatabricksConnectionContext connectionContext)`
`static List<DriverPropertyInfo>`
`getMissingProperties(String url, Properties info)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabricksDriverPropertyUtil

public DatabricksDriverPropertyUtil()

## Method Details

### getMissingProperties

public static List<DriverPropertyInfo> getMissingProperties(String url, Properties info) throws DatabricksParsingException

Throws:
  `DatabricksParsingException`

### buildMissingPropertiesList

public static List<DriverPropertyInfo> buildMissingPropertiesList(DatabricksConnectionContext connectionContext) throws DatabricksParsingException

Throws:
  `DatabricksParsingException`